Summary: a Python Solitaire Game
Name: pysol
Version: 4.80
Release: 1
Group: Games
Copyright: GPL
Url: http://www.oberhumer.com/opensource/pysol/
Vendor: Markus F.X.J. Oberhumer
Packager: Hao Li <hli@haoli.org>
Source: http://www.oberhumer.com/opensource/pysol/download/pysol-%{version}.tar.bz2
Requires: tcl >= 8.0.5, tk >= 8.0.5, python >= 1.5.2
BuildArch: noarch
BuildRoot: /var/tmp/%{name}-root

%description
PySol is a solitaire card game. Its features include support for 20
different games, very nice look and feel, multiple cardsets and
backgrounds, unlimited undo & redo, load & save games, player
statistics, hint system, demo games, support for user written plug-ins,
integrated HTML help browser, and it's free Open Source software. 


%prep
%setup -q


%install
rm -rf $RPM_BUILD_ROOT
# "make install" includes install-bin install-data install-man install-icon.
# "make install-icon" doesn't honor "prefix=" so it is out.
make prefix=$RPM_BUILD_ROOT/usr install-bin install-data install-man
perl -pi -e "s|$RPM_BUILD_ROOT||" $RPM_BUILD_ROOT/usr/bin/pysol

# Get rid of version number in path. This is for co-existence of different 
# versions of pysol and pysol-cardsets.
mv $RPM_BUILD_ROOT/usr/share/pysol/%{version}/* $RPM_BUILD_ROOT/usr/share/pysol
rmdir $RPM_BUILD_ROOT/usr/share/pysol/%{version}
perl -pi -e "s|/usr/share/pysol/%{version}|/usr/share/pysol|g" $RPM_BUILD_ROOT/usr/bin/pysol


%files
%defattr(-,root,root)
%doc COPYING INSTALL NEWS README
/usr/bin/*
/usr/man/man*/*
/usr/share/pysol


%clean
rm -rf $RPM_BUILD_ROOT
